package cn.superdesk.uniorder.service.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysOderUser;
import cn.superdesk.uniorder.service.base.BaseService;

import java.util.List;
import java.util.Map;

public interface SysOderUserService extends BaseService<SysOderUser> {

	List<SysOderUser> findByUserId(Long orgId);

	SysOderUser selectByUserId(Long userId);

	List<SysOderUser> findByName(Long orgId, Long entId, String name);


	List<SysOderUser> findByOutUserIds(List<Long> outUserIds);


	/****************************************** 工具方法 start ******************************************/

	Map<Long, SysOderUser> convertSysOderUserIds2MapKeyValue(List<Long> outUserIds);

	List<String> convertSysOderUserIds2SysFullNames(List<Long> outUserIds);

	/****************************************** 工具方法   end ******************************************/

}
